#!/usr/bin/env python3
import unittest
#import pudb; pudb.set_trace()

from context import haircontrol
from haircontrol import discovery, data #, inspectors

class TestDiscovery(unittest.TestCase):
    
    def setUp(self):
        self.maxDiff=None
        self.discovery = discovery.Discovery() #MockInspector('../test-data/input'))
        self.ref_net = data.EtherDomain() #json.load('../test-data/ref-output/equipments.json')

    def test_wire_graph(self):
        self.discovery.discover_lldp_hinting(data.Equipment('stg2', '172.16.0.253'))
        self.discovery.discover_static_hinting([
            ('SW_SergeGOUSSE', '172.16.30.23'),
            ('SW_PI_EGL', '172.16.30.27'),
            ('SW_Eglise_ESTANCARBON', '172.16.30.38'),
        ])
        self.discovery.discover_from_root(data.Equipment('stg', '172.16.0.254'))
#        self.assertEqual(self.ref_net.get_equipment_list_sorted(), list(self.discovery.net.get_equipment_list_sorted()))
        print(self.discovery.net)

if __name__ == '__main__':
    unittest.main()
